## SoupProxyResolverDefault

SoupProxyResolverDefault — System proxy configuration integration

## Properties

GProxyResolver * | gproxy-resolver | Write

## Types and Values

| SoupProxyResolverDefault

## Object Hierarchy

        GObject
        ╰── SoupProxyResolverDefault

## Implemented Interfaces

SoupProxyResolverDefault implements SoupSessionFeature and SoupProxyURIResolver.

## Includes

    #include <libsoup/soup.h>

## Description

SoupProxyResolverDefault is a SoupProxyURIResolver implementation that uses the default gio GProxyResolver to resolve proxies.

In libsoup 2.44 and later, you can set the session's “proxy-resolver” property to the resolver returned by `g_proxy_resolver_get_default()` to get the same effect. Note that for "plain" SoupSessions (ie, not SoupSessionAsync or SoupSessionSync), this is done for you automatically.

## Functions

## Types and Values

### SoupProxyResolverDefault

    typedef struct _SoupProxyResolverDefault SoupProxyResolverDefault;

## Property Details

### The `“gproxy-resolver”` property

      “gproxy-resolver”          GProxyResolver *

The underlying GProxyResolver.

Flags: Write